@charset "utf-8";

/* AIシュリーマンのボタン表示 */
#language-switcher {
  color: #02070D !important;
}

:root {
  --main-font: "Noto Sans JP", sans-serif;
  --serif-font: "Noto Serif JP", serif;

  --accent-color: #00cccc;
  --base-color: #02070D;
  --opacity-color: 0, 204, 204;
}

html {
  scroll-behavior: smooth;
}

body {
  width: 100%;
  background-color: var(--base-color);
  color: #fff;
  font-size: 62.5%;
  font-family: var(--main-font);
}

img {
  display: block;
}

.contain {
  width: 100%;
  height: auto;
}

.cover {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

a,
button {
  transition: ease-in-out 0.3s;
}

.sp-br {
  display: none;
}

@media (max-width: 768px) {
  .sp-br {
    display: block;
  }

  .pc-only {
    display: none;
  }
}

@media (hover: hover) and (pointer: fine) {
  a:hover {
    opacity: 0.7;
  }

  button:hover {
    opacity: 0.7;
  }
}

/* =========================
page-upper
============================ */
.page-upper {
  width: 100%;
  display: flex;
  flex-flow: column;
  gap: 10rem;
  background-image: url('../img/mv_bg.png');
  background-repeat: no-repeat;
  background-size: cover;
}

/* =========================
ヘッダー
============================ */
header {
  width: 100%;
  height: 30vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

header .main-logo {
  max-width: 800px;
  width: 80%;
}

header img {
  width: 100%;
  height: auto;
}

/* =========================
MV
============================ */
.mv {
  width: 80%;
  height: 60vh;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: auto;
  margin-left: auto;
}

.mv .txtBox {
  flex: 6;
  display: flex;
  flex-flow: column;
  gap: 3rem;
}

.mv .picBox {
  flex: 4;
}

/* テキスト群 */
.mv .txtBox .catch {
  width: fit-content;
  font-size: 1.8rem;
  border: 1px solid #fff;
  border-radius: 30px;
  padding: 10px 20px;
}

.mv .txtBox h1 {
  font-size: 3.4rem;
  font-weight: 400;
  line-height: 1.6;
  letter-spacing: 0.05em;
}

.mv .txtBox p {
  font-size: 1.6rem;
  line-height: 2;
  letter-spacing: 0.05em;
}

/* =========================
注意事項
============================ */
.note {
  width: 90%;
  background-color: rgba(var(--opacity-color), 0.2);
  margin-right: auto;
  margin-left: auto;
  padding: 5rem;
  margin-top: 10rem;
}

.note p {
  font-size: 2.4rem;
  font-weight: 400;
  letter-spacing: 0.05em;
  text-align: center;
}

.note ul {
  margin-top: 3rem;
}

.note ul li {
  font-size: 1.6rem;
  letter-spacing: 0.05em;
  list-style-type: disc;
  list-style-position: inside;
  line-height: 2;
}

/* =========================
クーポン
============================ */
.promotion {
  width: 100%;
  height: auto;
  position: relative;
}

.promotion section {
  position: relative;
  z-index: 2;
  width: 50%;
  margin-right: auto;
  margin-left: auto;
  padding: 3rem 8rem;
  background: linear-gradient(to right,
      transparent 0%,
      rgba(var(--opacity-color), 0.3) 15%,
      rgba(var(--opacity-color), 0.3) 90%,
      transparent 100%);
}

.promotion section h2 {
  font-size: 2.4rem;
  font-weight: 400;
  letter-spacing: 0.05em;
  text-align: center;
}

.promotion section p {
  font-size: 2rem;
  font-weight: 400;
  letter-spacing: 0.05em;
  text-align: center;
  margin-top: 15px;
}

.promotion section .textBox {
  display: flex;
  justify-content: center;
  align-items: baseline;
  gap: 15px;
  margin-top: 1.5rem;
}

.promotion section .textBox p {
  font-size: 80px;
  font-weight: 700;
  letter-spacing: 0.05em;
  line-height: 1;
}

.promotion section .textBox span {
  /* writing-mode: vertical-rl; */
  font-size: 2rem;
  font-weight: 500;
  text-align: justify;
  letter-spacing: 0.5em;
  line-height: 1;
}

.coupon {
  width: fit-content;
  background-color: #fff;
  padding: 10px;
  margin-right: auto;
  margin-left: auto;
  margin-top: 2rem;
}

.coupon span {
  font-size: 4rem;
  font-weight: 600;
  line-height: 1;
  text-align: center;
  color: #02070D;
  cursor: pointer;
  user-select: all;
}

/* 装飾 */
.promotion .deco {
  width: 50%;
  height: auto;
  position: absolute;
  top: 3%;
  transform: translateY(-50%);
  left: auto;
  right: 0;
  z-index: 1;
}

/* =========================
対象ホテル
============================ */
.target-wrapper {
  position: relative;
  width: 98%;
  margin-top: 10rem;
  margin-right: 0;
  margin-left: auto;
}

.target-wrapper h3 {
  font-size: 2.8rem;
  font-weight: 400;
  letter-spacing: 0.05em;
  margin-bottom: 5rem;
}

.hotel-container {
  position: relative;
  width: 100%;
  background: linear-gradient(to right,
      transparent 0%,
      rgba(var(--opacity-color), 0.3) 0%,
      rgba(var(--opacity-color), 0.3) 93%,
      transparent 100%);
  padding-right: 5rem;
}

/* 背景画像 */
.target-wrapper::before {
  position: absolute;
  left: 0;
  bottom: 0;
  content: '';
  aspect-ratio: 1920 / 1301;
  width: 100%;
  background-image: url('../img/ft_bg.png');
  background-repeat: no-repeat;
  background-size: cover;
}

.hotel-container::before {
  position: absolute;
  top: 30%;
  left: 0%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  content: '';
  aspect-ratio: 614 / 832;
  max-width: 500px;
  width: 100%;
  background-image: url('../img/deco2.png');
  background-repeat: no-repeat;
  background-size: cover;
}

/* 境界線 */
.hotel-container hr {
  border: none;
  height: 1px;
  background-color: rgba(255, 255, 255, 0.3);
  width: 90%;
  margin: 0 auto;
}

/* -------------------------
ホテルカテゴリ
---------------------------- */
.hotel-box {
  position: relative;
  padding: 8rem 0 8rem 8rem;
}

.luxury::before {
  position: absolute;
  content: 'LUXURY';
  font-size: 50px;
  font-weight: 400;
  line-height: 1;
  writing-mode: vertical-rl;
  color: rgba(255, 255, 255, 0.3);
  top: 3rem;
  left: 0;
}

.executive::before {
  position: absolute;
  content: 'EXECUTIVE';
  font-size: 50px;
  font-weight: 400;
  line-height: 1;
  writing-mode: vertical-rl;
  color: rgba(255, 255, 255, 0.3);
  top: 3rem;
  left: 0;
}

.hiyori::before {
  position: absolute;
  content: 'HIYORI HOTEL';
  font-size: 50px;
  font-weight: 400;
  line-height: 1;
  writing-mode: vertical-rl;
  color: rgba(255, 255, 255, 0.3);
  top: 3rem;
  left: 0;
}

.tabino::before {
  position: absolute;
  content: 'TABINO HOTEL';
  font-size: 50px;
  font-weight: 400;
  line-height: 1;
  writing-mode: vertical-rl;
  color: rgba(255, 255, 255, 0.3);
  top: 3rem;
  left: 0;
}

.original::before {
  position: absolute;
  content: 'ORIGINAL COLLECTION';
  font-size: 50px;
  font-weight: 400;
  line-height: 1;
  writing-mode: vertical-rl;
  color: rgba(255, 255, 255, 0.3);
  top: 3rem;
  left: 0;
}

/* -----------
各ホテル
-------------- */
.hotel-box h4 {
  font-size: 2.4rem;
  font-weight: 400;
  letter-spacing: 0.05em;
  margin-bottom: 5rem;
}

/* ホテルリスト */
.hotel-list {
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
  flex-wrap: wrap;
  gap: 3rem 24px;
}

/* ホテルカード */
.list-item {
  width: calc((100% - 72px) / 4);
  /* gap×3 を引いて4等分 */
}

.list-item a {
  color: #fff;
}

/* ホテル写真 */
.list-item .picBox {
  position: relative;
  width: 100%;
  aspect-ratio: 1 / 1;
  overflow: hidden;
  border-radius: 3px;
  overflow: hidden;
}

.list-item .picBox img {
  opacity: 0.95;
}

/* 別タブアイコン */
.icon-tab {
  width: fit-content;
  height: auto;
  position: absolute;
  bottom: 0;
  right: 3px;
}

.icon-tab i {
  font-size: 16px;
  opacity: 0.7;
}

/* ホテルテキスト */
.list-item a {
  display: block;
  width: 100%;
  height: 100%;
}

.list-item .txtBox {
  margin-top: 1rem;
}

.list-item h5 {
  font-size: 1.8rem;
  font-weight: 500;
  letter-spacing: 0.05em;
  text-align: center;
  color: rgba(255, 255, 255, 0.9);
}

.list-item ol {
  margin-bottom: 5px;
}

.list-item li {
  width: fit-content;
  font-size: 1.2rem;
  letter-spacing: 0.05em;
  font-weight: 500;
  text-align: center;
  color: #02070D;
  background-color: rgba(255, 255, 255, 0.4);
  border-radius: 15px;
  padding: 3px 15px;
  margin-right: auto;
  margin-left: auto;
}

/* =========================
フッター
============================ */
footer {
  width: 100%;
  padding-top: 5rem;
  padding-bottom: 2rem;
}

footer small {
  display: block;
  width: 100%;
  font-size: 1.6rem;
  text-align: center;
}

/* ---------------------
翻訳設定
------------------------ */
html[lang=en] html body .promotion section .textBox span {
  letter-spacing: 0;
}